For the complete documentation index, see llms.txt. This page is also available as Markdown.

Repository Credentials

Create a new repository credential

post

CreateRepositoryCredentials creates a new repository credential.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
Body
upsertbooleanOptional
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository credentials Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.

agentUuidstringOptional

UID of the parent agent document.

post/api/v1/agents/{agentIdentifier}/repocreds
POST /api/v1/agents/{agentIdentifier}/repocreds HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 314

{
  "creds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "upsert": true
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repoCreds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

Get credentials for repository url

post

GetCredentialsForRepositoryUrl returns a repository credential given its url.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
Body
urlstringOptional
repoCredsTypestringOptional
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository credentials Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.

agentUuidstringOptional

UID of the parent agent document.

post/api/v1/agents/{agentIdentifier}/repocreds/get
POST /api/v1/agents/{agentIdentifier}/repocreds/get HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "url": "text",
  "repoCredsType": "text"
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repoCreds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

Get repository credential by identifier

get

GetRepositoryCredentials retrieves a repository credential given its identifier.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.urlstringOptional

Repo URL for query.

query.repoCredsTypestringOptional

RepoCreds type - git or helm.

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository credentials Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.

agentUuidstringOptional

UID of the parent agent document.

get/api/v1/agents/{agentIdentifier}/repocreds/{identifier}
GET /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Accept: */*
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repoCreds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

Update a repository credential

put

UpdateRepositoryCredentials updates a specific repository credential.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository credentials Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.

agentUuidstringOptional

UID of the parent agent document.

put/api/v1/agents/{agentIdentifier}/repocreds/{identifier}
PUT /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "creds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "updateMask": {
    "paths": [
      "text"
    ]
  }
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repoCreds": {
    "url": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "enableOCI": true,
    "type": "text",
    "name": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

Delete a repository credential

delete

DeleteRepositoryCredentials deletes a specific repository credential.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

A successful response.

application/json
object · RepoCredsResponse is a response to most repository credentials requestsOptional
delete/api/v1/agents/{agentIdentifier}/repocreds/{identifier}
DELETE /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Accept: */*
{}

List repository credentials

post

ListRepositoryCredentials retrieves a list of all repository credentials.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
filterobjectOptional

Filters for Repo Credentials. Eg. "identifier": { "$in": ["id1", "id2"]

includeChildScopesbooleanOptional
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
post/api/v1/repocreds
POST /api/v1/repocreds HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "searchTerm": "text",
  "pageSize": 1,
  "pageIndex": 1,
  "filter": {},
  "includeChildScopes": true
}
{
  "content": [
    {
      "accountIdentifier": "text",
      "orgIdentifier": "text",
      "projectIdentifier": "text",
      "agentIdentifier": "text",
      "identifier": "text",
      "repoCreds": {
        "url": "text",
        "username": "text",
        "password": "text",
        "sshPrivateKey": "text",
        "tlsClientCertData": "text",
        "tlsClientCertKey": "text",
        "githubAppPrivateKey": "text",
        "githubAppID": "text",
        "githubAppInstallationID": "text",
        "githubAppEnterpriseBaseUrl": "text",
        "enableOCI": true,
        "type": "text",
        "name": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "stale": true,
      "uuid": "text",
      "subId": "text",
      "agentUuid": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}

Last updated

Was this helpful?